Subject: 23.0.92; emacsclient can not open frame without visiting file

From: Jameson Rollins <[email-masked]>
Date: Wed, 22 Apr 2009 08:54:35 -0700

emacsclient does not allow for opening a frame, either in a terminal
or in a new X frame, with*out* touching a file.  This is maybe only an
issue when emacs is run in --daemon mode where an initial frame is not
created.  It is often useful to open up an emacs without having a
particular file that needs to be editted, and this is not currently
possible.  In fact, I would prefer to see emacsclient behave more like
the "classical" emacs behaves.  I would like to see the following
behavior, that I think makes more sense and is more compatible with
the classic interface:

emacsclient
  opens up a new frame with *scratch*
emacsclient <file>
  opens up a new frame with <file>
emacsclient -nw
  opens up a new frame in the current terminal with *scratch*
emacsclient -nw <file>
  opens up a new frame in the current terminal with <file>
emacsclient -<?> <file>
  opens up <file> in an already opened "master" frame

emacs --daemon mode is incredibly useful, and is the way I plan on
running emacs in the future, it would be nice to see the emacsclient
interface in parity with the standard "classical" emacs interface.

Thanks so much for working on the best editor in the world.

In GNU Emacs 23.0.92.1 (i486-pc-linux-gnu, GTK+ Version 2.14.7)
 of 2009-04-11 on elegiac, modified by Debian
 (emacs-snapshot package, version 1:20090411-1)
Windowing system distributor `The X.Org Foundation', version 11.0.10402000
configured using `configure  '--build' 'i486-linux-gnu' '--host' 'i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/23.0.92/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.0.92/site-lisp:/usr/share/emacs/site-lisp' '--with-x=yes' '--with-x-toolkit=gtk' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2' 'LDFLAGS=-g -Wl,--as-needed' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
  shell-dirtrack-mode: t
  iswitchb-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
s SPC I SPC h o p e d SPC w ESC b ESC b C-e w o u l 
DEL DEL DEL DEL o u l d SPC b e SPC a v a ESC b ESC 
b ESC b ESC b ESC b C-k a r e SPC * n o t * SPC a v 
a i l a b l e . SPC SPC I ' m SPC s o r r y . SPC SPC 
I SPC r e a l l y SPC h o p e d SPC i t SPC w o u l 
d SPC h a v e SPC b e e n , SPC s i n c e SPC i t SPC 
w o u l d SPC h a v e SPC b e e n SPC s o DEL DEL v 
e r y SPC v DEL g o o d SPC f o r SPC y o u SPC g u 
y s . SPC SPC L e t SPC m e SPC k n o w SPC i f SPC 
I SPC c a n SPC h e l p SPC y o u SPC f i n d SPC ESC 
b ESC b C-k m o r e SPC i n SPC t h e SPC s e a r c 
h , SPC DEL DEL . RET RET j a m i e . ESC [ A ESC [ 
A ESC [ A ESC [ A ESC [ C ESC [ C ESC [ C ESC [ C ESC 
[ C ESC [ C ESC [ C C-d C-d C-d C-d C-d SPC i s ESC 
q C-x C-s C-x C-c M-x r e p <tab> o <tab> r t <tab> 
<return>

Recent messages:
When done with a buffer, type C-x #
Auto-saving...done
Mark set
Auto-saving...done
Mark set
Auto-saving...done
Saving file /tmp/mutt-servo-1000-30596-6...
Wrote /tmp/mutt-servo-1000-30596-6
(No files need saving)
Making completion list... [2 times]